﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PDM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_ENTRYUNREPCARD') 
 CREATE TABLE T_PDM_ENTRYUNREPCARD (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCARDNUM BIGINT DEFAULT 0 NOT NULL,
FNEEDMATERIAL VARCHAR(50) DEFAULT ' ' NOT NULL,
FMATERIALSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FEXITMATERIAL CHAR(1) DEFAULT '0' NOT NULL,
FMODUSER BIGINT DEFAULT 0 NOT NULL,
FMODDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_JOBCARDFILTER') 
 CREATE TABLE T_PDM_JOBCARDFILTER (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX BIGINT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX BIGINT DEFAULT 0 NOT NULL,
FFILTER VARCHAR(255) DEFAULT ' ' NOT NULL,
FFILTER_TAG NCLOB,
FENTITYID VARCHAR(36) DEFAULT ' ' NOT NULL,
FNEEDMATERIALPARAM CHAR(1) DEFAULT '0' NOT NULL,
FRETURNPARAM VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_JOBCARDFILTER_L') 
 CREATE TABLE T_PDM_JOBCARDFILTER_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_UNREPAIREDCARD') 
 CREATE TABLE T_PDM_UNREPAIREDCARD (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPROJECTRANGE BIGINT DEFAULT 0 NOT NULL,
FPROJECTNUM BIGINT DEFAULT 0 NOT NULL,
FCHECKREGNO BIGINT DEFAULT 0 NOT NULL,
FWORKNUM VARCHAR(50) DEFAULT ' ' NOT NULL,
FPUTOVER CHAR(1) DEFAULT '0' NOT NULL,
FMRATYPE BIGINT DEFAULT 0 NOT NULL,
FCOLLECTMETHOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FENGINETYPE BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PDM_PRODCONFFEATUREDEF' AND KSQL_COL_NAME ='FITEMSELECTOR') 
 ALTER TABLE T_PDM_PRODCONFFEATUREDEF ADD (FITEMSELECTOR BIGINT DEFAULT 0 NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PDM_table.sql **/
