﻿/**Begin D:\k3Cloud\PDM_UPGRADE\PDM1\MDS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_ECO_LOG') 
 CREATE TABLE T_PDM_ECO_LOG (
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FECOBOMID BIGINT DEFAULT 0 NOT NULL,
FBOMECOID BIGINT DEFAULT 0 NOT NULL,
FEXECRESULT_TAG NCLOB,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FPROENTRYMATERIAL BIGINT DEFAULT 0 NOT NULL,
FEXECRESULT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FEXECSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBOMID BIGINT DEFAULT 0 NOT NULL,
FPENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAIL NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_ECO_LOG_ENTRY') 
 CREATE TABLE T_PDM_ECO_LOG_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FECOBOMENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEUNIT BIGINT DEFAULT 0 NOT NULL,
FTRANSTARTDATE DATETIME,
FCHANGEFLAG VARCHAR(30) DEFAULT ' ' NOT NULL,
FACTTIME DATETIME,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FENTRYMATID BIGINT DEFAULT 0 NOT NULL,
FENTRYMODE VARCHAR(30) DEFAULT ' ' NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FTRANQTY DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_ECO_LOG_L') 
 CREATE TABLE T_PDM_ECO_LOG_L (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End D:\k3Cloud\PDM_UPGRADE\PDM1\MDS_table.sql **/
