﻿--增加产品数据管理建表脚本
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_PARAMSET') 
 CREATE TABLE T_PDM_PARAMSET (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(1) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FVALUE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSYSDEFAULT CHAR(1) DEFAULT '0' NOT NULL
);

--多语言表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_PARAMSET_L') 
 CREATE TABLE T_PDM_PARAMSET_L (
FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);




IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_ESTIMATERESULT') 
CREATE TABLE T_PDM_ESTIMATERESULT (
	FID BIGINT DEFAULT 0 NOT NULL,
	FBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATORID BIGINT DEFAULT 0 NOT NULL,
	FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
	FAUDITORID BIGINT DEFAULT 0 NOT NULL,
	FAUDITDATE DATETIME,
	FMODIFYTIME DATETIME,
	FCREATETIME DATETIME,
	FORGID BIGINT DEFAULT 0 NOT NULL,
	FPLANPROGRAMID BIGINT DEFAULT 0 NOT NULL,
	FMATERIALID BIGINT DEFAULT 0 NOT NULL,
	FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
	FMATERIALATTR NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FSUPPLYORG BIGINT DEFAULT 0 NOT NULL,
	FBILLTYPE BIGINT DEFAULT 0 NOT NULL,
	FSUPPLYQTY DECIMAL(23,10) DEFAULT 0 NOT NULL, 
	FSUPPLYDATE DATETIME,
	FSUPPLYBILLID BIGINT DEFAULT 0 NOT NULL,
	FSUPPLYBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FSUPPLYENTRYID BIGINT DEFAULT 0 NOT NULL,
	FSUPPLYSEQ BIGINT DEFAULT 0 NOT NULL,
	FSUPAUXPROPERTYID BIGINT DEFAULT 0 NOT NULL,
	FVERSIONID BIGINT DEFAULT 0 NOT NULL,
	FBOMNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FBOMID BIGINT DEFAULT 0 NOT NULL,
	FENTRYMODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FOLDACTTIME DATETIME,
	FGROUPACTTIME DATETIME,
	FREFACTTIME DATETIME,
	FESTIMATESTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FUSEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
	FGROUPUSEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
	FREFUSEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
	FEXCEPTIONTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FEXCEPTIONINFO NVARCHAR(255) DEFAULT ' ' NOT NULL,
	FRUNLOGID BIGINT DEFAULT 0 NOT NULL,
	FOLDESTIMATESTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FECOBOMENTRYID BIGINT DEFAULT 0 NOT NULL,
	FECOBOMID BIGINT DEFAULT 0 NOT NULL,
	FECOTYPEID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_ESTIMATERESULTENTRY') 
CREATE TABLE T_PDM_ESTIMATERESULTENTRY (
	FID BIGINT DEFAULT 0 NOT NULL,
	FENTRYID BIGINT DEFAULT 0 NOT NULL,
	FSEQ BIGINT DEFAULT 0 NOT NULL,
	FMODIFIERFIELD BIGINT DEFAULT 0 NOT NULL,
	FMODIFYDATEFIELD DATETIME,
	FREQUIREBILLNO NVARCHAR(100) DEFAULT ' ' NOT NULL,
	FREQUIREBILLID BIGINT DEFAULT 0 NOT NULL,
	FREQUIREBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
	FREQUIREBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
	FREQUIREQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
	FREQUIREDATE DATETIME,
	FREQUIREBILLTYPE BIGINT DEFAULT 0 NOT NULL,
	FREQUIREKEY  CHAR(1) DEFAULT '0' NOT NULL,
	FREQUIREGROUPKEY  CHAR(1) DEFAULT '0' NOT NULL,
	FREQUIREREFKEY  CHAR(1) DEFAULT '0' NOT NULL
);



IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_ECOPLANPROENTRY') 
CREATE TABLE T_PDM_ECOPLANPROENTRY (
	FID BIGINT DEFAULT 0 NOT NULL,
	FENTRYID BIGINT DEFAULT 0 NOT NULL,
	FSEQ BIGINT DEFAULT 0 NOT NULL,
	FISMRPOPERAT  CHAR(1) DEFAULT '0' NOT NULL,
	FDEMANDSRC NVARCHAR(36) DEFAULT ' ' NOT NULL,
	FRESOURCEREGISTER BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_ECOPLANPROSCENTRY') 
CREATE TABLE T_PDM_ECOPLANPROSCENTRY (
	FID BIGINT DEFAULT 0 NOT NULL,
	FENTRYID BIGINT DEFAULT 0 NOT NULL,
	FSEQ BIGINT DEFAULT 0 NOT NULL,
	FISSCMRPOPERAT  CHAR(1) DEFAULT '0' NOT NULL,
	FSUPPLYRES NVARCHAR(36) DEFAULT ' ' NOT NULL,
	FRESOURCEREGISTERS BIGINT DEFAULT 0 NOT NULL,
	FSUPPLYPRIORITY BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_ECOPLANPROREENTRY') 
CREATE TABLE T_PDM_ECOPLANPROREENTRY (
	FID BIGINT DEFAULT 0 NOT NULL,
	FENTRYID BIGINT DEFAULT 0 NOT NULL,
	FSEQ BIGINT DEFAULT 0 NOT NULL,
	FENTITYTYPE NVARCHAR(36) DEFAULT ' ' NOT NULL,
	FADJUSTSTRATEGY NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FRESULTTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_ECOPLANPENTRY') 
CREATE TABLE T_PDM_ECOPLANPENTRY (
	FID BIGINT DEFAULT 0 NOT NULL,
	FENTRYID BIGINT DEFAULT 0 NOT NULL,
	FSEQ BIGINT DEFAULT 0 NOT NULL,
	FTYPENAME BIGINT DEFAULT 0 NOT NULL,
	FELEMENTNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FELEMENTTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FDEMANDENTITY NVARCHAR(36) DEFAULT ' ' NOT NULL,
	FDEMANDLOGO NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FDEMANDNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FFRUNCONDITION NVARCHAR(255) DEFAULT ' ' NOT NULL,
	FFRUNCONDITION_TAG NCLOB,
	FPENTRYFRUNCONDITIONDESC NVARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_ECOPLANPROORGENTRY') 
CREATE TABLE T_PDM_ECOPLANPROORGENTRY (
	FID BIGINT DEFAULT 0 NOT NULL,
	FENTRYID BIGINT DEFAULT 0 NOT NULL,
	FSEQ BIGINT DEFAULT 0 NOT NULL,
	FDEMANDORG BIGINT DEFAULT 0 NOT NULL,
	FINVSTRATEGY BIGINT DEFAULT 0 NOT NULL,
	FSUPPLYNET BIGINT DEFAULT 0 NOT NULL,
	FPLANSCOPE BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_ECOPLANPROGRAM') 
CREATE TABLE T_PDM_ECOPLANPROGRAM (
	FID BIGINT DEFAULT 0 NOT NULL,
	FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
	FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
	FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATORID BIGINT DEFAULT 0 NOT NULL,
	FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
	FENABLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATETIME DATETIME,
	FMODIFYTIME DATETIME,
	FMASTERID BIGINT DEFAULT 0 NOT NULL,
	FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
	FORGID BIGINT DEFAULT 0 NOT NULL,
	FCTRLSTRATEGY NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
	FBITINDEX BIGINT DEFAULT 0 NOT NULL,
	FSOURCEBITINDEX BIGINT DEFAULT 0 NOT NULL,
	FINVSUPPLYSTRATEGY BIGINT DEFAULT 0 NOT NULL,
	FSUPPLYNET BIGINT DEFAULT 0 NOT NULL,
	FISYIELD  CHAR(1) DEFAULT '0' NOT NULL,
	FISLOSSRATE  CHAR(1) DEFAULT '0' NOT NULL,
	FSAFESTOCKEFFECTSET NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FISADJUST  CHAR(1) DEFAULT '1' NOT NULL,
	FISREPLACE  CHAR(1) DEFAULT '0' NOT NULL,
	FISRESERVE  CHAR(1) DEFAULT '0' NOT NULL,
	FDEMANDMODEL BIGINT DEFAULT 0 NOT NULL,
	FAPPMODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FCOMPUTEMODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FOUTOFDATE NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FDAY BIGINT DEFAULT 0 NOT NULL,
	FSUPPLYMODEL BIGINT DEFAULT 0 NOT NULL,
	FSCOUTOFDATE NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FSCDAY BIGINT DEFAULT 0 NOT NULL,
	FADJUSTEFFECTSET NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FALLOWLEADTIME BIGINT DEFAULT 0 NOT NULL,
	FEARLYTOLER BIGINT DEFAULT 0 NOT NULL,
	FALLOWDELAYTIME BIGINT DEFAULT 0 NOT NULL,
	FDELAYTOLER BIGINT DEFAULT 0 NOT NULL,
	FCONSIDERBATCHSTR  CHAR(1) DEFAULT '0' NOT NULL,
	FRELATIVETRANSFER BIGINT DEFAULT 0 NOT NULL,
	FISSAFESTOCK  CHAR(1) DEFAULT '0' NOT NULL,
	FPLANTAG NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FSTOCKRESERVE  CHAR(1) DEFAULT '0' NOT NULL,
	FISCOMMON  CHAR(1) DEFAULT '0' NOT NULL,
	FISCUSTOMIZE  CHAR(1) DEFAULT '0' NOT NULL,
	FISSELECTION  CHAR(1) DEFAULT '0' NOT NULL,
	FISNOTSETUP  CHAR(1) DEFAULT '0' NOT NULL,
	FISCENTERWAREHOUSE  CHAR(1) DEFAULT '0' NOT NULL,
	FPLANOUTLOOK BIGINT DEFAULT 0 NOT NULL,
	FMRPSETUP BIGINT DEFAULT 0 NOT NULL,
	FINVLEVEL BIGINT DEFAULT 0 NOT NULL,
	FISMPS  CHAR(1) DEFAULT '0' NOT NULL,
	FISMRP  CHAR(1) DEFAULT '0' NOT NULL,
	FISREORDERPOINT  CHAR(1) DEFAULT '0' NOT NULL,
	FOUTOFRANGE NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FHILOINV  CHAR(1) DEFAULT '0' NOT NULL,
	FTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FISNEW  CHAR(1) DEFAULT '0' NOT NULL,
	FMULID BIGINT DEFAULT 0 NOT NULL,
	FORGRANGID NVARCHAR(255) DEFAULT ' ' NOT NULL,
	FORGRANGID_TAG NCLOB,
	FSELORGRANGID NVARCHAR(255) DEFAULT ' ' NOT NULL,
	FSELORGRANGID_TAG NCLOB,
	FSTEPNUM NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FISSIMULATION  CHAR(1) DEFAULT '0' NOT NULL,
	FCUSSAVE NVARCHAR(255) DEFAULT ' ' NOT NULL,
	FCUSSAVE_TAG NCLOB,
	FRELEASEMODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FOCPWEAKRESERVE NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FISPURQUOTA  CHAR(1) DEFAULT '0' NOT NULL,
	FQUOTAATTRS NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FQUOTATYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FPRIORITYMODEL BIGINT DEFAULT 0 NOT NULL,
	FISAUTOAUDITPLANBILL  CHAR(1) DEFAULT '0' NOT NULL,
	FISAUTOACOLLABORATIVEBILL  CHAR(1) DEFAULT '0' NOT NULL,
	FISAUTODROPPLANBILL  CHAR(1) DEFAULT '0' NOT NULL,
	FDROPTIMERANGE BIGINT DEFAULT 0 NOT NULL,
	FSUMDIM NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FFORECAST_INPUTTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FISAUTO_RELEASE  CHAR(1) DEFAULT '0' NOT NULL,
	FDATASET BIGINT DEFAULT 0 NOT NULL,
	FISCAP  CHAR(1) DEFAULT '0' NOT NULL,
	FISBATCHPOLICY  CHAR(1) DEFAULT '1' NOT NULL,
	FAUDITORDERTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FISESTIMATESTATUS  CHAR(1) DEFAULT '0' NOT NULL,
	FESTIMATESTATUSDAY BIGINT DEFAULT 0 NOT NULL,
	FSHIFTINGTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FISREFECO  CHAR(1) DEFAULT '1' NOT NULL,
	FREFPKTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FGROUPPKTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_ECOPLANPROGRAM_L') 
CREATE TABLE T_PDM_ECOPLANPROGRAM_L (
	FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
	FID BIGINT DEFAULT 0 NOT NULL,
	FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
	FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_ESTIMATERANGE') 
CREATE TABLE T_PDM_ESTIMATERANGE (
	FID BIGINT DEFAULT 0 NOT NULL,
	FBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATORID BIGINT DEFAULT 0 NOT NULL,
	FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
	FAUDITORID BIGINT DEFAULT 0 NOT NULL,
	FAUDITDATE DATETIME,
	FMODIFYTIME DATETIME,
	FCREATETIME DATETIME,
	FEXECTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FRUNLOGID BIGINT DEFAULT 0 NOT NULL
	
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_ESTIMATERANGEENTRY') 
CREATE TABLE T_PDM_ESTIMATERANGEENTRY (
	FID BIGINT DEFAULT 0 NOT NULL,
	FENTRYID BIGINT DEFAULT 0 NOT NULL,
	FSEQ BIGINT DEFAULT 0 NOT NULL,
	FMODIFIERFIELD BIGINT DEFAULT 0 NOT NULL,
	FMODIFYDATEFIELD DATETIME,
	FECOBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FREFNO BIGINT DEFAULT 0 NOT NULL
);




