﻿--增加过滤条件建表脚本
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_ECOREQUIREFILLTER') 
CREATE TABLE T_PDM_ECOREQUIREFILLTER (
	FID BIGINT DEFAULT 0 NOT NULL,
	FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
	FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
	FSTATUS NVARCHAR(1) DEFAULT 'C' NOT NULL,
	FCREATORID BIGINT DEFAULT 0 NOT NULL,
	FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
	FENABLE NVARCHAR(1) DEFAULT '1' NOT NULL,
	FCREATETIME DATETIME,
	FMODIFYTIME DATETIME,
	FMASTERID BIGINT DEFAULT 0 NOT NULL,
	FOBJECTENTITY NVARCHAR(36) DEFAULT ' ' NOT NULL,
	FFILTERRULE NVARCHAR(2000) DEFAULT ' ' NOT NULL,
	FFILTERRULEVALUE NVARCHAR(255) DEFAULT ' ' NOT NULL,
	FFILTERRULEVALUE_TAG NCLOB,
	FSYSDEFAULT CHAR(1) DEFAULT '0' NOT NULL
	
);

--增加多语言表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_ECOREQUIREFILLTER_L') 
CREATE TABLE T_PDM_ECOREQUIREFILLTER_L (
	FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,
	FID BIGINT DEFAULT 0 NOT NULL,
	FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
	FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_ECNESENDRECORD') 
CREATE TABLE T_PDM_ECNESENDRECORD (
	FID BIGINT DEFAULT 0 NOT NULL,
	FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
	FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATORID BIGINT DEFAULT 0 NOT NULL,
	FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
	FAUDITORID BIGINT DEFAULT 0 NOT NULL,
	FAUDITDATE DATETIME,
	FMODIFYTIME DATETIME,
	FCREATETIME DATETIME,
	FPARENTMATERIALNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
	FMATERIALNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
	FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
	FACTTIME DATETIME,
	FESTIMATESTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FDEALDATE DATETIME,
	FDEALSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_ECNESENDRECORDENTRY') 
CREATE TABLE T_PDM_ECNESENDRECORDENTRY (
	FID BIGINT DEFAULT 0 NOT NULL,
	FENTRYID BIGINT DEFAULT 0 NOT NULL,
	FSEQ BIGINT DEFAULT 0 NOT NULL,
	FMODIFIERFIELD BIGINT DEFAULT 0 NOT NULL,
	FMODIFYDATEFIELD DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_ESTIMATERESULTMAT') 
CREATE TABLE T_PDM_ESTIMATERESULTMAT (
	FPKID BIGINT DEFAULT 0 NOT NULL,
	FID BIGINT DEFAULT 0 NOT NULL,
	FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);




