﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PDM_table.sql **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_CHANGEACTSUBENTRY') 
 CREATE TABLE T_PDM_CHANGEACTSUBENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBIZTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FPROCESSSTAGE CHAR(1) DEFAULT ' ' NOT NULL,
FACTIVITYID BIGINT DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTANDARDFORMULAID BIGINT DEFAULT 0 NOT NULL,
FMINFORMULAID BIGINT DEFAULT 0 NOT NULL,
FSTANDARDFORMULA1ID BIGINT DEFAULT 0 NOT NULL,
FMINFORMULA1ID BIGINT DEFAULT 0 NOT NULL,
FACTSOURCEID BIGINT DEFAULT 0 NOT NULL,
FACTSOURCETYPE CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_CHANGEACTSUBENTRYB') 
 CREATE TABLE T_PDM_CHANGEACTSUBENTRYB (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBIZTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FPROCESSSTAGE CHAR(1) DEFAULT ' ' NOT NULL,
FACTIVITYID BIGINT DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTANDARDFORMULAID BIGINT DEFAULT 0 NOT NULL,
FMINFORMULAID BIGINT DEFAULT 0 NOT NULL,
FSTANDARDFORMULA1ID BIGINT DEFAULT 0 NOT NULL,
FMINFORMULA1ID BIGINT DEFAULT 0 NOT NULL,
FACTSOURCEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_CHANGEOPEENTRY') 
 CREATE TABLE T_PDM_CHANGEOPEENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FOPRPARENT VARCHAR(50) DEFAULT ' ' NOT NULL,
FOPROPERATIONNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FOPRPRODUCTIONORGID BIGINT DEFAULT 0 NOT NULL,
FOPRWORKCENTERID BIGINT DEFAULT 0 NOT NULL,
FOPRWORKSHOPID BIGINT DEFAULT 0 NOT NULL,
FOPROPERATIONID BIGINT DEFAULT 0 NOT NULL,
FOPRCTRLSTRATEGYID BIGINT DEFAULT 0 NOT NULL,
FOPRREMARK VARCHAR(255) DEFAULT ' ' NOT NULL,
FOPRUPPERRATIO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRFLOORRATIO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRBASEBATCHQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRHEADQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRHEADUNITID BIGINT DEFAULT 0 NOT NULL,
FOPROPERATIONQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPROPERATIONUNITID BIGINT DEFAULT 0 NOT NULL,
FOPRISSPLIT CHAR(1) DEFAULT ' ' NOT NULL,
FOPRISPROCESSOVERLAP CHAR(1) DEFAULT ' ' NOT NULL,
FOPRSPLITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRMINWORKTIME DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTIMEUNIT CHAR(1) DEFAULT ' ' NOT NULL,
FOPRMINOVERLAPTIME DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPROVERLAPTIMEUNIT CHAR(1) DEFAULT ' ' NOT NULL,
FOPROVERLAPQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRUNITID BIGINT DEFAULT 0 NOT NULL,
FOPRCHANGETYPE CHAR(1) DEFAULT ' ' NOT NULL,
FOPRMACHININGTYPE CHAR(4) DEFAULT ' ' NOT NULL,
FOPRSOURCEID BIGINT DEFAULT 0 NOT NULL,
FOPRSOURCETYPE CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_CHANGEOPEENTRY_E') 
 CREATE TABLE T_PDM_CHANGEOPEENTRY_E (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FOPRPURCHASEORGID BIGINT DEFAULT 0 NOT NULL,
FOPRPURCHASEGROUPID BIGINT DEFAULT 0 NOT NULL,
FOPRPURCHASEPERSONID BIGINT DEFAULT 0 NOT NULL,
FOPRSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FOPRCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FOPRTAXRATEID BIGINT DEFAULT 0 NOT NULL,
FOPRTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRSETTLEMENTUNITID BIGINT DEFAULT 0 NOT NULL,
FOPRSETTLEMENTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTRYMATERIALID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_CHANGEOPEENTRYB') 
 CREATE TABLE T_PDM_CHANGEOPEENTRYB (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FOPRSOURCEID BIGINT DEFAULT 0 NOT NULL,
FOPRPARENT VARCHAR(50) DEFAULT ' ' NOT NULL,
FOPROPERATIONNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FOPRPRODUCTIONORGID BIGINT DEFAULT 0 NOT NULL,
FOPRWORKSHOPID BIGINT DEFAULT 0 NOT NULL,
FOPRWORKCENTERID BIGINT DEFAULT 0 NOT NULL,
FOPROPERATIONID BIGINT DEFAULT 0 NOT NULL,
FOPRCTRLSTRATEGYID BIGINT DEFAULT 0 NOT NULL,
FOPRREMARK VARCHAR(255) DEFAULT ' ' NOT NULL,
FOPRUPPERRATIO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRFLOORRATIO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRBASEBATCHQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRHEADQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRHEADUNITID BIGINT DEFAULT 0 NOT NULL,
FOPROPERATIONQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPROPERATIONUNITID BIGINT DEFAULT 0 NOT NULL,
FOPRISSPLIT CHAR(1) DEFAULT ' ' NOT NULL,
FOPRISPROCESSOVERLAP CHAR(1) DEFAULT ' ' NOT NULL,
FOPRSPLITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRMINWORKTIME DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTIMEUNIT CHAR(1) DEFAULT ' ' NOT NULL,
FOPRMINOVERLAPTIME DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPROVERLAPTIMEUNIT CHAR(1) DEFAULT ' ' NOT NULL,
FOPROVERLAPQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRUNITID BIGINT DEFAULT 0 NOT NULL,
FOPRMACHININGTYPE CHAR(4) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_CHANGEOPEENTRYB_E') 
 CREATE TABLE T_PDM_CHANGEOPEENTRYB_E (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FOPRPURCHASEORGID BIGINT DEFAULT 0 NOT NULL,
FOPRPURCHASEGROUPID BIGINT DEFAULT 0 NOT NULL,
FOPRPURCHASEPERSONID BIGINT DEFAULT 0 NOT NULL,
FOPRSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FOPRCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FOPRTAXRATEID BIGINT DEFAULT 0 NOT NULL,
FOPRTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRSETTLEMENTUNITID BIGINT DEFAULT 0 NOT NULL,
FOPRSETTLEMENTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTRYMATERIALID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_CHANGEPROENTRY') 
 CREATE TABLE T_PDM_CHANGEPROENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPROCHANGETYPE CHAR(1) DEFAULT ' ' NOT NULL,
FPROCESSSEQ VARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCESSSEQNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCESSSEQTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FPROCESSSEQREMARK VARCHAR(50) DEFAULT ' ' NOT NULL,
FPROSOURCEID BIGINT DEFAULT 0 NOT NULL,
FPROSOURCETYPE CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_CHANGEPROENTRYB') 
 CREATE TABLE T_PDM_CHANGEPROENTRYB (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPROCESSSEQ VARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCESSSEQNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCESSSEQTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FPROCESSSEQREMARK VARCHAR(50) DEFAULT ' ' NOT NULL,
FPROSOURCEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_CHANGERELENTRY') 
 CREATE TABLE T_PDM_CHANGERELENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRELATIONSEQ VARCHAR(50) DEFAULT ' ' NOT NULL,
FRELATIONNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FRELATIONPARSEQ VARCHAR(50) DEFAULT ' ' NOT NULL,
FRELATIONPARNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FRELTRANSFERINNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FRELTRANSFERINNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FRELTRANSFEROUTNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FRELTRANSFEROUTNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FRELRELATION CHAR(1) DEFAULT ' ' NOT NULL,
FRELCHANGETYPE CHAR(1) DEFAULT ' ' NOT NULL,
FRELSOURCEID BIGINT DEFAULT 0 NOT NULL,
FRELSOURCETYPE CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_CHANGERELENTRYB') 
 CREATE TABLE T_PDM_CHANGERELENTRYB (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRELATIONSEQ VARCHAR(50) DEFAULT ' ' NOT NULL,
FRELATIONNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FRELATIONPARSEQ VARCHAR(50) DEFAULT ' ' NOT NULL,
FRELATIONPARNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FRELTRANSFERINNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FRELTRANSFERINNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FRELTRANSFEROUTNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FRELTRANSFEROUTNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FRELRELATION CHAR(1) DEFAULT ' ' NOT NULL,
FRELSOURCEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_CHANGESUBENTRY') 
 CREATE TABLE T_PDM_CHANGESUBENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRESOURCEID BIGINT DEFAULT 0 NOT NULL,
FRESSOURCEID BIGINT DEFAULT 0 NOT NULL,
FSUBSOURCETYPE CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_CHANGESUBENTRYB') 
 CREATE TABLE T_PDM_CHANGESUBENTRYB (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRESOURCEID BIGINT DEFAULT 0 NOT NULL,
FRESSOURCEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_ROUTECHANGE') 
 CREATE TABLE T_PDM_ROUTECHANGE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(50) DEFAULT ' ' NOT NULL,
FVERSIONCONTROL CHAR(1) DEFAULT ' ' NOT NULL,
FREMARK VARCHAR(255) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITTIME DATETIME,
FPROCESSROUTEID BIGINT DEFAULT 0 NOT NULL,
FNEWVERSION BIGINT DEFAULT 0 NOT NULL,
FEXETYPE CHAR(1) DEFAULT ' ' NOT NULL,
FAPPOINTEDDATE DATETIME,
FEXESTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCHANGEREASON VARCHAR(255) DEFAULT ' ' NOT NULL,
FSUBMITERID BIGINT DEFAULT 0 NOT NULL,
FSUBMITTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_ROUTECHANGE_L') 
 CREATE TABLE T_PDM_ROUTECHANGE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PDM_table.sql **/
