﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PDM_constraint.sql **/
 EXEC P_ALTERPK 'PK_PDM_CONFIGURELIST', 'T_PDM_CONFIGURELIST', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDM_CONFST_FNUMBER') CREATE INDEX IDX_PDM_CONFST_FNUMBER ON T_PDM_CONFIGURELIST ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDM_CONFST_FCREATETIME') CREATE INDEX IDX_PDM_CONFST_FCREATETIME ON T_PDM_CONFIGURELIST ( FCREATETIME );


 EXEC P_ALTERPK 'PK_PDM_CONFIGURELIST_L', 'T_PDM_CONFIGURELIST_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDM_CONFSTL_FID') CREATE INDEX IDX_PDM_CONFSTL_FID ON T_PDM_CONFIGURELIST_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDM_CONFSTL_FNAME') CREATE INDEX IDX_PDM_CONFSTL_FNAME ON T_PDM_CONFIGURELIST_L ( FNAME );


 EXEC P_ALTERPK 'PK_PDM_CONFIGURETREELIST', 'T_PDM_CONFIGURETREELIST', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDM_CONFST_FID') CREATE INDEX IDX_PDM_CONFST_FID ON T_PDM_CONFIGURETREELIST ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDM_CONFST_FSEQ') CREATE INDEX IDX_PDM_CONFST_FSEQ ON T_PDM_CONFIGURETREELIST ( FSEQ );


 EXEC P_ALTERPK 'PK_PDM_PROCONFIGSCHEME', 'T_PDM_PROCONFIGSCHEME', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDM_PROCME_FNUMBER') CREATE INDEX IDX_PDM_PROCME_FNUMBER ON T_PDM_PROCONFIGSCHEME ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDM_PROCME_FCREATETIME') CREATE INDEX IDX_PDM_PROCME_FCREATETIME ON T_PDM_PROCONFIGSCHEME ( FCREATETIME );


 EXEC P_ALTERPK 'PK_PDM_PROCONFIGSCHEME_L', 'T_PDM_PROCONFIGSCHEME_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDM_PROCMEL_FID') CREATE INDEX IDX_PDM_PROCMEL_FID ON T_PDM_PROCONFIGSCHEME_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDM_PROCMEL_FNAME') CREATE INDEX IDX_PDM_PROCMEL_FNAME ON T_PDM_PROCONFIGSCHEME_L ( FNAME );


 EXEC P_ALTERPK 'PK_PDM_SUPERBOM', 'T_PDM_SUPERBOM', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDM_SUPERBOM_FNUMBER') CREATE INDEX IDX_PDM_SUPERBOM_FNUMBER ON T_PDM_SUPERBOM ( FNUMBER );


 EXEC P_ALTERPK 'PK_PDM_SUPERBOM_L', 'T_PDM_SUPERBOM_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDM_SUPEOML_FID') CREATE INDEX IDX_PDM_SUPEOML_FID ON T_PDM_SUPERBOM_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_PDM_SUPERBOMCOPENTRY', 'T_PDM_SUPERBOMCOPENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDM_SUPERYCOPY_FID') CREATE INDEX IDX_PDM_SUPERYCOPY_FID ON T_PDM_SUPERBOMCOPENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDM_SUPERYCOPY_FSEQ') CREATE INDEX IDX_PDM_SUPERYCOPY_FSEQ ON T_PDM_SUPERBOMCOPENTRY ( FSEQ );


 EXEC P_ALTERPK 'PK_PDM_SUPERBOMENTRY', 'T_PDM_SUPERBOMENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDM_SUPERY_FID') CREATE INDEX IDX_PDM_SUPERY_FID ON T_PDM_SUPERBOMENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDM_SUPERY_FSEQ') CREATE INDEX IDX_PDM_SUPERY_FSEQ ON T_PDM_SUPERBOMENTRY ( FSEQ );


 EXEC P_ALTERPK 'PK_PDM_SUPERBOMENTRY_O', 'T_PDM_SUPERBOMENTRY_O', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDM_SUPERYO_FID') CREATE INDEX IDX_PDM_SUPERYO_FID ON T_PDM_SUPERBOMENTRY_O ( FID );


 EXEC P_ALTERPK 'PK_PDM_SUPERBOMQTYENTRY', 'T_PDM_SUPERBOMQTYENTRY', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDM_SUPERYQTY_FENTRYID') CREATE INDEX IDX_PDM_SUPERYQTY_FENTRYID ON T_PDM_SUPERBOMQTYENTRY ( FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDM_SUPERYQTY_FSEQ') CREATE INDEX IDX_PDM_SUPERYQTY_FSEQ ON T_PDM_SUPERBOMQTYENTRY ( FSEQ );


 EXEC P_ALTERPK 'PK_PDM_SUPERBOMSETUPENTRY', 'T_PDM_SUPERBOMSETUPENTRY', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDM_SUPERYSETUP_FENTRYID') CREATE INDEX IDX_PDM_SUPERYSETUP_FENTRYID ON T_PDM_SUPERBOMSETUPENTRY ( FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDM_SUPERYSETUP_FSEQ') CREATE INDEX IDX_PDM_SUPERYSETUP_FSEQ ON T_PDM_SUPERBOMSETUPENTRY ( FSEQ );


 EXEC P_ALTERPK 'PK_PDM_SUPERBOMSETUPENTRY_L', 'T_PDM_SUPERBOMSETUPENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDM_SUPERYL_FDETAILID') CREATE INDEX IDX_PDM_SUPERYL_FDETAILID ON T_PDM_SUPERBOMSETUPENTRY_L ( FDETAILID ,FLOCALEID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PDM_constraint.sql **/
