﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_BOM_ECO') 
CREATE TABLE T_PDM_BOM_ECO
(
  FID            BIGINT DEFAULT 0 NOT NULL,
  FBILLNO        NVARCHAR(30) DEFAULT ' ' NOT NULL,
  FBILLSTATUS    NVARCHAR(30) DEFAULT ' ' NOT NULL,
  FCREATORID     BIGINT DEFAULT 0 NOT NULL,
  FMODIFIERID    BIGINT DEFAULT 0 NOT NULL,
  FAUDITORID     BIGINT DEFAULT 0 NOT NULL,
  FAUDITDATE     DATETIME,
  FMODIFYTIME    DATETIME,
  FCREATETIME    DATETIME,
  FORGID         BIGINT DEFAULT 0 NOT NULL,
  FTYPEID        BIGINT DEFAULT 0 NOT NULL,
  FENABLE        NVARCHAR(30) DEFAULT ' ' NOT NULL,
  FCTRLSTRATEGY  NVARCHAR(30) DEFAULT ' ' NOT NULL,
  FDISABLEUSERID BIGINT DEFAULT 0 NOT NULL,
  FDISABLEDATE   DATETIME,
  FENABLEUSERID  BIGINT DEFAULT 0 NOT NULL,
  FENABLEDATE    DATETIME
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_BOM_ECO_L') 
CREATE TABLE T_PDM_BOM_ECO_L
(
  FPKID     NVARCHAR(18) DEFAULT ' ' NOT NULL,
  FID       BIGINT DEFAULT 0 NOT NULL,
  FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
  FNAME     NVARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_BOMECOPENTRY') 
CREATE TABLE T_PDM_BOMECOPENTRY
(
  FID                  BIGINT DEFAULT 0 NOT NULL,
  FENTRYID             BIGINT DEFAULT 0 NOT NULL,
  FSEQ                 BIGINT DEFAULT 0 NOT NULL,
  FBOMID               BIGINT DEFAULT 0 NOT NULL,
  FPROENTRYMATERIAL    BIGINT DEFAULT 0 NOT NULL,
  FENTRYVERSIONCONTROL NVARCHAR(30) DEFAULT ' ' NOT NULL,
  FOLDVERSIONID        BIGINT DEFAULT 0 NOT NULL,
  FNEWVERSIONID        BIGINT DEFAULT 0 NOT NULL,
  FECNVERSIONID        BIGINT DEFAULT 0 NOT NULL,
  FEXECMODE            NVARCHAR(30) DEFAULT ' ' NOT NULL,
  FEXECDATE            DATETIME,
  FECN                 NVARCHAR(50) DEFAULT ' ' NOT NULL,
  FVALIDDATE           DATETIME,
  FINVALIDDATE         DATETIME,
  FEXECSTATUS          NVARCHAR(30) DEFAULT ' ' NOT NULL,
  FECREASONID          BIGINT DEFAULT 0 NOT NULL,
  FECOBOMID            BIGINT DEFAULT 0 NOT NULL,
  FEBOMID              NVARCHAR(50) DEFAULT ' ' NOT NULL,
  FMFTBOMID            NVARCHAR(50) DEFAULT ' ' NOT NULL
);