﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PDM_table.sql **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_PROMATERDTB') 
 CREATE TABLE T_PDM_PROMATERDTB (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(30) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITTIME DATETIME,
FDISABLEORID BIGINT DEFAULT 0 NOT NULL,
FDISABLETIME DATETIME,
FENABLEORID BIGINT DEFAULT 0 NOT NULL,
FENABLETIME DATETIME,
FEFFECTDATE DATETIME,
FINVALIDDATE DATETIME,
FBOMID BIGINT DEFAULT 0 NOT NULL,
FPROCESSROUTEID BIGINT DEFAULT 0 NOT NULL,
FPRODUCTID BIGINT DEFAULT 0 NOT NULL,
FDISTRIBUT VARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_PROMATERDTB_L') 
 CREATE TABLE T_PDM_PROMATERDTB_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_PROMATERDTBDVDENTRY') 
 CREATE TABLE T_PDM_PROMATERDTBDVDENTRY (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FDTBWHOLEMATERID BIGINT DEFAULT 0 NOT NULL,
FDTBWHOLEUNITID BIGINT DEFAULT 0 NOT NULL,
FDTBWHOLEUSAGETYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FDTBWHOLEMOLE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDTBWHOLEDENO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDTBWHOLEFIXSCRAP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDTBWHOLESCRAPRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDTBWHOLEAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FDTBWHOLEPARENTMATERID BIGINT DEFAULT 0 NOT NULL,
FDTBWHOLEOPERATIONNO VARCHAR(100) DEFAULT ' ' NOT NULL,
FDTBWHOLEOPERATIONNUMID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_PROMATERDTBDVDENTRY_L') 
 CREATE TABLE T_PDM_PROMATERDTBDVDENTRY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDTBWHOLEREMARK VARCHAR(510) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_PROMATERDTBDVTENTRY') 
 CREATE TABLE T_PDM_PROMATERDTBDVTENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FDTBVIRTUALMATERID BIGINT DEFAULT 0 NOT NULL,
FDTBVIRTUALUNITID BIGINT DEFAULT 0 NOT NULL,
FDTBVIRTUALUSAGETYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FDTBVIRTUALMOLE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDTBVIRTUALDENO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDTBVIRTUALFIXSCRAP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDTBVIRTUALSCRAPRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDTBVIRTUALAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FDTBVIRTUALPARENTMATERID BIGINT DEFAULT 0 NOT NULL,
FDTBVIRTUALOPERATIONNO VARCHAR(100) DEFAULT ' ' NOT NULL,
FDTBVIRTUALOPERATIONNUMID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_PROMATERDTBDVTENTRY_L') 
 CREATE TABLE T_PDM_PROMATERDTBDVTENTRY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDTBVIRTUALREMARK VARCHAR(510) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_PROMATERDTBMTENTRY_L') 
 CREATE TABLE T_PDM_PROMATERDTBMTENTRY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDTBALLOCATREMARK VARCHAR(510) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_PROMATERDTBNAENTRY') 
 CREATE TABLE T_PDM_PROMATERDTBNAENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FNALLOCATMATERID BIGINT DEFAULT 0 NOT NULL,
FNALLOCATUNITID BIGINT DEFAULT 0 NOT NULL,
FNALLOCATUSAGETYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FNALLOCATMOLE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNALLOCATDENO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNALLOCATFIXSCRAP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNALLOCATSCRAPRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNALLOCATQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNALLOCATBOMVERSIONID BIGINT DEFAULT 0 NOT NULL,
FNALLOCATAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FNALLOCATPARENTMATERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_PROMATERDTBNAENTRY_L') 
 CREATE TABLE T_PDM_PROMATERDTBNAENTRY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FALLOCATREMARK VARCHAR(510) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_PROMATERDTBSDDENTRY') 
 CREATE TABLE T_PDM_PROMATERDTBSDDENTRY (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FDTBSTEPMATERID BIGINT DEFAULT 0 NOT NULL,
FDTBBATCHSTARTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDTBBATCHENDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDTBSTEPFIXSCRAP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDTBSTEPSCRAPRATE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_PROMATERDTBSQDENTRY') 
 CREATE TABLE T_PDM_PROMATERDTBSQDENTRY (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSTEPMATERID BIGINT DEFAULT 0 NOT NULL,
FBATCHSTARTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBATCHENDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTEPFIXSCRAP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTEPSCRAPRATE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_PROMATERDTBSTENTRY') 
 CREATE TABLE T_PDM_PROMATERDTBSTENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSTEPMATERID BIGINT DEFAULT 0 NOT NULL,
FSTEPMOLE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTEPDENO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTEPFIXSCRAP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTEPSCRAPRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTEPAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FSTEPPARENTMATERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_PROMATERDTBVDENTRY') 
 CREATE TABLE T_PDM_PROMATERDTBVDENTRY (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FWHOLEMATERID BIGINT DEFAULT 0 NOT NULL,
FWHOLEUNIT BIGINT DEFAULT 0 NOT NULL,
FWHOLEUSAGETYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FWHOLEMOLE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWHOLEDENO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWHOLEFIXSCRAP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWHOLESCRAPRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWHOLEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWHOLEAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FWHOLEPARENTMATER BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_PROMATERDTBVDENTRY_L') 
 CREATE TABLE T_PDM_PROMATERDTBVDENTRY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FVIRTUALREMARK VARCHAR(510) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_PROMATERDTBVTENTRY') 
 CREATE TABLE T_PDM_PROMATERDTBVTENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FVIRTUALMATERID BIGINT DEFAULT 0 NOT NULL,
FVIRTUALUNITID BIGINT DEFAULT 0 NOT NULL,
FVIRTUALUSAGETYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FVIRTUALMOLE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVIRTUALDENO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVIRTUALFIXSCRAP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVIRTUALSCRAPRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVIRTUALQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVIRTUALBOMVERSION BIGINT DEFAULT 0 NOT NULL,
FVIRTUALAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FVIRTUALPARENTMATERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_PROMATERDTBVTENTRY_L') 
 CREATE TABLE T_PDM_PROMATERDTBVTENTRY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FVIRTUALREMARK VARCHAR(510) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_PROMATERDTBWPENTRY') 
 CREATE TABLE T_PDM_PROMATERDTBWPENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FOPERATIONNUMID BIGINT DEFAULT 0 NOT NULL,
FOPERATIONNO VARCHAR(60) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_PROMATERDTBDSTENTRY') 
 CREATE TABLE T_PDM_PROMATERDTBDSTENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FDTBSTEPMATERID BIGINT DEFAULT 0 NOT NULL,
FDTBSTEPMOLE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDTBSTEPDENO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDTBSTEPFIXSCRAP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDTBSTEPSCRAPRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDTBSTEPAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FDTBSTEPPARENTMATERID BIGINT DEFAULT 0 NOT NULL,
FDTBSTEPOPERATIONNO VARCHAR(100) DEFAULT ' ' NOT NULL,
FDTBSTEPOPERATIONNUMID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_PROMATERDTBMTENTRY') 
 CREATE TABLE T_PDM_PROMATERDTBMTENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FDTBALLOCATMATERID BIGINT DEFAULT 0 NOT NULL,
FDTBALLOCATUNITID BIGINT DEFAULT 0 NOT NULL,
FDTBALLOCATUSAGETYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FDTBALLOCATMOLE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDTBALLOCATDENO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDTBALLOCATFIXSCRAP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDTBALLOCATSCRAPRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDTBALLOCATAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FDTBALLOCATPARENTMATERID BIGINT DEFAULT 0 NOT NULL,
FDTBALLOCATOPERATIONNO VARCHAR(100) DEFAULT ' ' NOT NULL,
FDTBALLOCATOPERATIONNUMID BIGINT DEFAULT 0 NOT NULL
);


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PDM_table.sql **/
