﻿-- 工程变更原因,工程变更原因分组
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_ECNREASON') 
CREATE TABLE T_PDM_ECNREASON (
  FID            BIGINT DEFAULT 0 NOT NULL,
  FNUMBER        VARCHAR(30) DEFAULT ' ' NOT NULL,
  FSTATUS        VARCHAR(30) DEFAULT ' ' NOT NULL,
  FCREATORID     BIGINT DEFAULT 0 NOT NULL,
  FMODIFIERID    BIGINT DEFAULT 0 NOT NULL,
  FENABLE        VARCHAR(30) DEFAULT ' ' NOT NULL,
  FCREATETIME    DATETIME,
  FMODIFYTIME    DATETIME,
  FMASTERID      BIGINT DEFAULT 0 NOT NULL,
  FGROUPID       BIGINT DEFAULT 0 NOT NULL,
  FORGID         BIGINT DEFAULT 0 NOT NULL,
  FCREATEORGID   BIGINT DEFAULT 0 NOT NULL,
  FCTRLSTRATEGY  VARCHAR(30) DEFAULT ' ' NOT NULL,
  FDISABLEUSERID BIGINT DEFAULT 0 NOT NULL,
  FDISABLEDATE   DATETIME,
  FENABLEUSERID  BIGINT DEFAULT 0 NOT NULL,
  FENABLEDATE    DATETIME,
  FDESCRIPTION   VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_ECNREASON_L') 
CREATE TABLE T_PDM_ECNREASON_L
(
  FPKID     VARCHAR(18) DEFAULT ' ' NOT NULL,
  FID       BIGINT DEFAULT 0 NOT NULL,
  FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
  FNAME     VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_ECNREASONGROUP') 
CREATE TABLE T_PDM_ECNREASONGROUP
(
  FID         BIGINT DEFAULT 0 NOT NULL,
  FNUMBER     VARCHAR(30) DEFAULT ' ' NOT NULL,
  FSTATUS     VARCHAR(30) DEFAULT ' ' NOT NULL,
  FCREATORID  BIGINT DEFAULT 0 NOT NULL,
  FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
  FENABLE     VARCHAR(30) DEFAULT ' ' NOT NULL,
  FCREATETIME DATETIME,
  FMODIFYTIME DATETIME,
  FMASTERID   BIGINT DEFAULT 0 NOT NULL,
  FLONGNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
  FLEVEL      BIGINT DEFAULT 0 NOT NULL,
  FISLEAF     CHAR(1) DEFAULT '1' NOT NULL,
  FPARENTID   BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_ECNREASONGROUP_L') 
CREATE TABLE T_PDM_ECNREASONGROUP_L
(
  FPKID     VARCHAR(18) DEFAULT ' ' NOT NULL,
  FID       BIGINT DEFAULT 0 NOT NULL,
  FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
  FNAME     VARCHAR(50) DEFAULT ' ' NOT NULL,
  FFULLNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);









