﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PDM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_CONFIGURELIST') 
 CREATE TABLE T_PDM_CONFIGURELIST (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT '''' NOT NULL,
FSTATUS NVARCHAR(5) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(5) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(5) DEFAULT '''' NOT NULL,
FMATERIELNOID BIGINT DEFAULT 0 NOT NULL,
FMATERIELVERSIONID BIGINT DEFAULT 0 NOT NULL,
FMEASUREMENTUNITID BIGINT DEFAULT 0 NOT NULL,
FPCONFIGPLANID BIGINT DEFAULT 0 NOT NULL,
FSUPERBOMID BIGINT DEFAULT 0 NOT NULL,
FSRCENTITYID BIGINT DEFAULT 0 NOT NULL,
FSRCID NVARCHAR(50) DEFAULT '''' NOT NULL,
FSRCENTRYID NVARCHAR(50) DEFAULT '''' NOT NULL,
FTEXTFIELD NVARCHAR(50) DEFAULT '''' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_CONFIGURELIST_L') 
 CREATE TABLE T_PDM_CONFIGURELIST_L (
FPKID NVARCHAR(255) DEFAULT '''' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT '''' NOT NULL,
FNAME NVARCHAR(50) DEFAULT '''' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_CONFIGURETREELIST') 
 CREATE TABLE T_PDM_CONFIGURETREELIST (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPARENTENTRYID BIGINT DEFAULT 0 NOT NULL,
FENTRYSEQ NVARCHAR(50) DEFAULT '''' NOT NULL,
FTYPE NVARCHAR(5) DEFAULT '''' NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FVERSIONID BIGINT DEFAULT 0 NOT NULL,
FAUXPROPERTYID BIGINT DEFAULT 0 NOT NULL,
FQTYTYPE NVARCHAR(5) DEFAULT '''' NOT NULL,
FQTYNUMERATOR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTYDENOMINATOR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFIXSCRAP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSCRAPRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVALIDDATE DATETIME,
FINVALIDDATE DATETIME,
FCHECKBOXFIELD CHAR(1) DEFAULT '0' NOT NULL,
FMUTUEXCOPT CHAR(1) DEFAULT '0' NOT NULL,
FMAXQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMINQTY DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_PROCONFIGSCHEME') 
 CREATE TABLE T_PDM_PROCONFIGSCHEME (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT '''' NOT NULL,
FSTATUS NVARCHAR(5) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(5) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(5) DEFAULT '5' NOT NULL,
FMATERIELFIELD BIGINT DEFAULT 0 NOT NULL,
FPRIORITY INT DEFAULT 0 NOT NULL,
FCONFIGTYPE NVARCHAR(5) DEFAULT '1' NOT NULL,
FSUPERBOMID BIGINT DEFAULT 0 NOT NULL,
FINSTANTIATION NVARCHAR(5) DEFAULT '2' NOT NULL,
FMATERIELNUMRULE NVARCHAR(5) DEFAULT '''' NOT NULL,
FBOMOPENTYPE NVARCHAR(5) DEFAULT '3' NOT NULL,
FISCREATEORDERBOM NVARCHAR(5) DEFAULT '1' NOT NULL,
FORDERBOM BIGINT DEFAULT 0 NOT NULL,
FRADIOGROUPFIELD NVARCHAR(5) DEFAULT '''' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_PROCONFIGSCHEME_L') 
 CREATE TABLE T_PDM_PROCONFIGSCHEME_L (
FPKID NVARCHAR(255) DEFAULT '''' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT '''' NOT NULL,
FNAME NVARCHAR(50) DEFAULT '''' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_SUPERBOM') 
 CREATE TABLE T_PDM_SUPERBOM (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT '''' NOT NULL,
FSTATUS NVARCHAR(5) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(5) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(5) DEFAULT '''' NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FVERSIONID BIGINT DEFAULT 0 NOT NULL,
FREPLACENOID BIGINT DEFAULT 0 NOT NULL,
FYIELDRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAUXPROPERTYID BIGINT DEFAULT 0 NOT NULL,
FISCOPRODUCT CHAR(1) DEFAULT '0' NOT NULL,
FTYPEID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FDISABLEUSERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FENABLEUSERID BIGINT DEFAULT 0 NOT NULL,
FENABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_SUPERBOM_L') 
 CREATE TABLE T_PDM_SUPERBOM_L (
FPKID NVARCHAR(255) DEFAULT '''' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT '''' NOT NULL,
FNAME NVARCHAR(50) DEFAULT '''' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_SUPERBOMCOPENTRY') 
 CREATE TABLE T_PDM_SUPERBOMCOPENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTYPE NVARCHAR(5) DEFAULT '10720' NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPERATIONID BIGINT DEFAULT 0 NOT NULL,
FVALIDDATE DATETIME,
FINVALIDDATE DATETIME,
FVERSIONID BIGINT DEFAULT 0 NOT NULL,
FAUXPROPERTYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_SUPERBOMENTRY') 
 CREATE TABLE T_PDM_SUPERBOMENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTYPE NVARCHAR(5) DEFAULT 'A' NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FVERSIONID BIGINT DEFAULT 0 NOT NULL,
FQTYTYPE NVARCHAR(5) DEFAULT 'A' NOT NULL,
FQTYNUMERATOR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTYDENOMINATOR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFIXSCRAP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSCRAPRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVALIDDATE DATETIME,
FINVALIDDATE DATETIME,
FAUXPROPERTYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_SUPERBOMENTRY_O') 
 CREATE TABLE T_PDM_SUPERBOMENTRY_O (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FQTYOPT CHAR(1) DEFAULT '0' NOT NULL,
FOPT CHAR(1) DEFAULT '0' NOT NULL,
FPREFEROPT CHAR(1) DEFAULT '0' NOT NULL,
FMUTUEXCOPT CHAR(1) DEFAULT '0' NOT NULL,
FMINQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMAXQTY DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_SUPERBOMQTYENTRY') 
 CREATE TABLE T_PDM_SUPERBOMQTYENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBATCHSTARTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBATCHENDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISSTEPFIX CHAR(1) DEFAULT '0' NOT NULL,
FQTYNUMERATOR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTYDENOMINATOR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFIXSCRAP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSCRAPRATE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_SUPERBOMSETUPENTRY') 
 CREATE TABLE T_PDM_SUPERBOMSETUPENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_SUPERBOMSETUPENTRY_L') 
 CREATE TABLE T_PDM_SUPERBOMSETUPENTRY_L (
FPKID NVARCHAR(255) DEFAULT '''' NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT '''' NOT NULL,
FSETUPLOCATION NVARCHAR(50) DEFAULT '''' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PDM_table.sql **/
